Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<I>
              org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Direct Known Subclasses:
  UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler, UDA10DeviceDescriptorBinderSAXImpl.DeviceListHandler, UDA10DeviceDescriptorBinderSAXImpl.IconHandler, UDA10DeviceDescriptorBinderSAXImpl.IconListHandler, UDA10DeviceDescriptorBinderSAXImpl.RootHandler, UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler, UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler, UDA10DeviceDescriptorBinderSAXImpl.SpecVersionHandler

Enclosing class:
  UDA10DeviceDescriptorBinderSAXImpl

    protected static class UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>

extends org.teleal.common.xml.SAXParser.Handler<I>

Field Summary

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, instance, parent, parser`

Constructor Summary
`UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance)`
`UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance, org.teleal.common.xml.SAXParser parser)`
`UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance, org.teleal.common.xml.SAXParser parser, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`
`UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

Method Summary
`void` | `endElement(ELEMENT element)`
`void` | `endElement(String uri, String localName, String qName)`
`boolean` | `isLastElement(ELEMENT element)`
`protected boolean` | `isLastElement(String uri, String localName, String qName)`
`void` | `startElement(ELEMENT element, Attributes attributes)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler

    public UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance)

### UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler

    public UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance,
                                                                      org.teleal.common.xml.SAXParser parser)

### UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler

    public UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance,
                                                                      UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

### UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler

    public UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler(I instance,
                                                                      org.teleal.common.xml.SAXParser parser,
                                                                      UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.teleal.common.xml.SAXParser.Handler<I>`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.teleal.common.xml.SAXParser.Handler<I>`
  Throws:
    `SAXException`

### isLastElement

    protected boolean isLastElement(String uri,
                                    String localName,
                                    String qName)

  Overrides:
    `isLastElement` in class `org.teleal.common.xml.SAXParser.Handler<I>`

### startElement

    public void startElement(ELEMENT element,
                             Attributes attributes)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(ELEMENT element)
                    throws SAXException

  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(ELEMENT element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.